AuthenticatedURL.Token (Hadoop 0.20.2-cdh3u3 API)
Date: 2012-03-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authentication.client
Class AuthenticatedURL.Token

    java.lang.Object
      org.apache.hadoop.security.authentication.client.AuthenticatedURL.Token

Enclosing class:
  AuthenticatedURL

    public static class AuthenticatedURL.Token

extends Object

Client side authentication token.

Constructor Summary
`AuthenticatedURL.Token()` Creates a token.
`AuthenticatedURL.Token(String tokenStr)` Creates a token using an existing string representation of the token.

Method Summary
`boolean` | `equals(Object o)` Return if two token instances are equal.
`int` | `hashCode()` Return the hashcode for the token.
`boolean` | `isSet()` Returns if a token from the server has been set.
`String` | `toString()` Returns the string representation of the token.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticatedURL.Token

    public AuthenticatedURL.Token()

  Creates a token.

### AuthenticatedURL.Token

    public AuthenticatedURL.Token(String tokenStr)

  Creates a token using an existing string representation of the token.

  Parameters:
    `tokenStr` - string representation of the tokenStr.

Method Detail

### isSet

    public boolean isSet()

  Returns if a token from the server has been set.

  Returns:
    if a token from the server has been set.

### toString

    public String toString()

  Returns the string representation of the token.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string representation of the token.

### hashCode

    public int hashCode()

  Return the hashcode for the token.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode for the token.

### equals

    public boolean equals(Object o)

  Return if two token instances are equal.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - the other token instance.
  Returns:
    if this instance and the other instance are equal.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation